WP2LMS REST API
REST API for the WP2LMS product. Canonical {product}/{slug}/v1 format:
Static Builder is wp2lms/static-builder/v1; Turbo is wp2lms/turbo/v1.
Authentication: cookie / Application Password (edit_pages / network capability
manage_network for Static Builder; Turbo static uses edit_posts). The Static Builder
accepts the blog_id query parameter.
Static Builder WP_Error codes: wp2lms_static_builder_invalid_blog, blog_not_found,
busy, not_found, no_pages, cannot_stop, invalid_id, invalid_api_type,
invalid_version, invalid_export_mode, pages_required, invalid_page_ids,
page_not_found, create_failed, configure_failed, update_failed, delete_failed,
page_cache_rebuild.
Authentication
- API Key: cookie
- HTTP: Basic Auth
WordPress logged-in cookie session plus REST nonce header X-WP-Nonce.
Security Scheme Type: | apiKey |
|---|---|
Header parameter name: | X-WP-Nonce |
WordPress Application Password (DualRest).
Security Scheme Type: | http |
|---|---|
HTTP Authorization Scheme: | basic |